// Example by Tom Igoe

import processing.serial.*;

Serial myPort;  // The serial port

PFont font12;    // The display font
String inString;  // Input string from serial port
int lf = 10;        // ASCII linefeed 

String Radius=inString;


void setup() {
  size(600,600);
  
  // You'll need to make this font with the Create Font Tool 
  font12 = createFont("Helvetica", 13);
  // List all the available serial ports:
  printArray(Serial.list());
  // Open the port you are using at the rate you want:
  myPort = new Serial(this, Serial.list()[0], 9600);
  myPort.bufferUntil(lf); 
}


void draw() {
  background(0);
  text("received: " + inString, 10,50); 
  while (myPort.available() > 0) {
    
    String inBuffer = myPort.readString();   
    if (inBuffer != null) {
      println(inBuffer);
    }
    noFill();
    
    ellipseMode(RADIUS);
    strokeWeight(5);
    stroke(242,76,39);
    ellipse(width/2,height/2,Radius,Radius);
    }
  }


void serialEvent(Serial myPort) {
  inString = myPort.readString();
} 
